import { FinancialOverlay } from "./FinancialOverlay";
import { List$1 } from "igniteui-react-core/ES2015/List$1";
import { Type, Point } from "igniteui-react-core/ES2015/type";
import { CategoryFrame } from "./CategoryFrame";
import { AxisRange } from "./AxisRange";
import { Axis } from "./Axis";
import { FinancialSeriesView } from "./FinancialSeriesView";
import { Rect } from "igniteui-react-core/ES2015/Rect";
import { SeriesView } from "./SeriesView";
import { FinancialBucketCalculator } from "./FinancialBucketCalculator";
import { Polyline } from "igniteui-react-core/ES2015/Polyline";
import { Polygon } from "igniteui-react-core/ES2015/Polygon";
import { RenderingContext } from "igniteui-react-core/ES2015/RenderingContext";
export declare class BollingerBandsOverlay extends FinancialOverlay {
    static $t: Type;
    constructor();
    pk: number;
    pj: number;
    protected ir(a: any, b: string, c: any, d: any): void;
    private ph;
    private pi;
    protected pa(): boolean;
    an(a: Axis): AxisRange;
    pf: List$1<number>;
    pg: List$1<number>;
    oq(a: CategoryFrame, b: FinancialSeriesView): void;
    ho(a: boolean, b: SeriesView): void;
    ej(a: Point, b: boolean, c: boolean): number;
    fa(a: Point, b: boolean): number;
    e8(a: Point, b: boolean): number;
    du(a: Rect, b: Rect, c: SeriesView): boolean;
    os(a: CategoryFrame, b: FinancialSeriesView): void;
    protected bf(): SeriesView;
    il(a: SeriesView): void;
    private pe;
    protected nz(): number;
    ed(): number;
    static $$p: string[];
}
export declare class BollingerBandsBucketCalculator extends FinancialBucketCalculator {
    static $t: Type;
    constructor(a: FinancialSeriesView);
    protected f: BollingerBandsOverlayView;
    getBucket(a: number): number[];
}
export declare class BollingerBandsOverlayView extends FinancialSeriesView {
    static $t: Type;
    b0: BollingerBandsOverlay;
    constructor(a: BollingerBandsOverlay);
    ap(): void;
    protected bv(): FinancialBucketCalculator;
    b2(a: number, b: (arg1: number) => number, c: (arg1: number) => number, d: (arg1: number) => number, e: (arg1: number) => number, f: (arg1: number) => number): void;
    b1(): void;
    readonly b4: Polygon;
    readonly b9: Polyline;
    readonly ca: Polyline;
    readonly cb: Polyline;
    private b5;
    private cc;
    private cd;
    private ce;
    private b3;
    private b6;
    private b7;
    private b8;
    protected a9(): void;
    protected a3(a: RenderingContext, b: boolean): void;
    ai(a: any): void;
}
